package gov.va.med.esr.service.external.person;

import gov.va.med.esr.service.external.ExternalComponent;

public class BaseAddressInfo extends ExternalComponent {



	private static final long serialVersionUID = -9091411872822440920L;
	//PID/11/Z05
	 // ZTA /5/Z05
	private String line1;
	//	 PID/11/Z05
	 // ZTA /5/Z05
    private String line2;
    //  PID/11/Z05
    private String line3;
    //  PID/11/Z05
    // ZTA /5/Z05
    private String city;
    //  PID/11/Z05
    private String county;
    //  PID/11/Z05
    // ZTA /5/Z05
    private String state;
    //  PID/11/Z05
    private String provinceCode;
    //  PID/11/Z05
    // ZTA /5/Z05
    private String zipCode;
    //  PID/11/Z05
    // ZTA /5/Z05
    // We are adding a duplicate zipcode because the database string has a typo in it and is not populating the zipCode attribute correctly.  
    // See Clear Quest ESR 3.12_CodeCR12297_GMT - Address Zip Code missing from payload.
    // The plan is to remove this duplicate zipcode attribute after the database string is corrected.
    private String zipcode;
    private String zipPlus4;
    //  PID/11/Z05
    // ZTA /5/Z05
    private String postalCode;
    //  PID/11/Z05
   // ZTA /5/Z05
    private String country;
    
	public String getCity() {
		return city;
	}
	public void setCity(String city) {
		this.city = city;
	}
	public String getCountry() {
		return country;
	}
	public void setCountry(String country) {
		this.country = country;
	}
	public String getCounty() {
		return county;
	}
	public void setCounty(String county) {
		this.county = county;
	}
	public String getLine1() {
		return line1;
	}
	public void setLine1(String line1) {
		this.line1 = line1;
	}
	public String getLine2() {
		return line2;
	}
	public void setLine2(String line2) {
		this.line2 = line2;
	}
	public String getLine3() {
		return line3;
	}
	public void setLine3(String line3) {
		this.line3 = line3;
	}
	public String getPostalCode() {
		return postalCode;
	}
	public void setPostalCode(String postalCode) {
		this.postalCode = postalCode;
	}

	public String getState() {
		return state;
	}
	public void setState(String state) {
		this.state = state;
	}
	public String getProvinceCode() {
		return provinceCode;
	}
	public void setProvinceCode(String provinceCode) {
		this.provinceCode = provinceCode;
	}
	public String getZipCode() {
		return zipCode;
	}
	public void setZipCode(String zipCode) {
		this.zipCode = zipCode;
	}
	// We are adding a duplicate setZipcode() method because the database string has a typo in it and is not populating the zipCode attribute correctly.  
    // See Clear Quest ESR 3.12_CodeCR12297_GMT - Address Zip Code missing from payload.
    // The plan is to remove this duplicate setZipcode() method after the database string is corrected.
	public String getZipcode() {
		return zipcode;
	}
	// We are adding a duplicate setZipcode() method because the database string has a typo in it and is not populating the zipCode attribute correctly.  
    // See Clear Quest ESR 3.12_CodeCR12297_GMT - Address Zip Code missing from payload.
    // The plan is to remove this duplicate setZipcode() method after the database string is corrected.
	public void setZipcode(String zipcode) {
		this.zipcode = zipcode;
	}
	public String getZipPlus4() {
		return zipPlus4;
	}
	public void setZipPlus4(String zipPlus4) {
		this.zipPlus4 = zipPlus4;
	}


}
